Subject: FW: Nokia Patent discussion FW: [Dime] First results on Diameter vs. RadSec patent research:EP1147635

From: <[email-masked]>
Date: Wed, 1 Aug 2007 12:15:02 -0500

Hi all,
 
I was asked to forward this to the DiME, RADext and OPSA WG mailing lists.  
 
Thanks,
John

	Dear Stefan,

	I asked John to forward this message as I'm not a regular on the DIME list.  I'm responsible for handling IETF related IPR cases in Nokia.

	As you suggested, Nokia believes EP1147635, and other members of the same patent family, are essential to practice RFC3588.

	However, I do suggest that you, and other folks interested, contact your respective legal folks regarding the implication of the existence of the patent, in conjunction with our patent declaration.  I do not believe that Stefan's claim is correct:

				Every implementation of the  
				Diameter base protocol will use the patented technology and 
				needs to either license it or will violate it. 

	In order to help the group to understand our declaration, please allow me to provide a simplistic explanation.  As for the binding legal language, please see the declaration itself (cited correctly by Stefan in his original email):

			Nokia agrees not to assert those claims in Nokia above  
			mentioned patents that apply to the RFC3588 and are 
			technically necessary to implement this IETF standard 
			specification against any other party in respect of its 
			implementation of the specification, provided that the party 
			relying on this commitment does not assert its patents against Nokia.

	Our licensing declaration is what is commonly known as a "non-assert" statement.  What it says is that if you don't come after Nokia with your patents, Nokia will not use its patents against your RFC 3588 implementation.
	  
	Non-assert statements like this are widely used in the IETF, as they are believed to provide sufficient defensive protection for the owner, while still allowing implementers and users to exercise the protected technology without a license and for free, as long as they behave similarly nice (i.e. not going after Nokia with their patents).  In that, non-asserts are believed to be compatible with most open source licenses.

	Feel free to contact me in private if you have more questions.
	 
	Best regards,
	Stephan Wenger
	[email-masked]
	 
	 -----Original Message-----

			From: ext Stefan Winter [mailto:[email-masked]] 
			Sent: 01 August, 2007 15:28
			To: [email-masked]; [email-masked]
			Subject: [Dime] First results on Diameter vs. RadSec patent 
			research:EP1147635

			Hello all,

			(sorry for cross-posting, this may also be of interest for dime)

			when presenting the RadSec draft in IETF69 Chicago, I 
			mentioned the patent claims of Nokia concerning Diameter. As a 
			reaction, some participants claimed that RadSec itself 
			implements a subset of the Diameter features and may very well 
			itself be subject to these patents. So I started an 
			investigation in this respect.

			I started the research myself by grabbing a copy of patent 
			EP1147635 by Nokia, which is claiming to affect Diameter. My 
			focus of the patent's examination was whether this patent 
			might also affect RadSec.

			The content of this patent is, in short, that packets on a 
			network get tagged as "possible duplicate" on retransmission 
			in order to make the endpoint aware that the received content 
			may be a duplicate of a previous packet. It also provides a 
			mechanism to correlate the multiple copies even when the 
			packets took different paths through the network.

			Diameter does exactly that, described in section 5.5.4 
			"Failover and Failback Procedures" of RFC3588: a bit in the 
			Diameter header, the "T" bit, is set whenever a Diameter 
			packet needed to be retransmitted. Also, Diameter packets 
			carry an end-to-end identifier that makes it possible to 
			identify duplicates.

			This means that at least from my point of view, Nokia's claim 
			concerning Diameter is true. Every implementation of the 
			Diameter base protocol will use the patented technology and 
			needs to either license it or will violate it. 
			(Note: I am not a lawyer. This is just my interpretation; 
			consider my knowledge being "Slashdot-level").
			From the wording in this section 5.5.4 and the explanation of 
			the T bit in chapter 3, it seems that setting the T bit is 
			mandatory on retransmissions, so adhering to the protocol 
			specification leaves no room for circumventing the content of 
			the patent (e.g., by keeping it 0 at all times).

			Luckily, RadSec does not implement such a sophisticated 
			duplicate packet detection algorithm. So, this particular 
			patent appears not to be of any concern for implementors of RadSec.

			I will continue investigating the bunch of other patents and 
			patent applications relating to Diameter as soon as I get 
			copies of them. For reference, here is Nokia's claim statement 
			concerning Diameter (as submitted to the IETF IPR tracker):

			----------

			Title: Nokia's Statement About IPR Claimed in RFC 3588
			Received: January 6, 2004
			From: [email-masked]

			This is to advise the IETF that Nokia believes the Nokia
			patents: EP1147635 and AU757984, and the related patent
			applications: BRPI0007603-1, CA2360093, CN00804050.8, FI990102,
			JP2000-595452 and US09/903863 may be relevant to Diameter Base 
			Protocol RFC3588.

			Nokia agrees not to assert those claims in Nokia above 
			mentioned patents that apply to the RFC3588 and are 
			technically necessary to implement this IETF standard 
			specification against any other party in respect of its 
			implementation of the specification, provided that the party 
			relying on this commitment does not assert its patents against Nokia.

			Regards,

			Harri Honkasalo

			Director of IPR, Standard Technology

			Nokia Corporation

			----------

			Greetings,

			Stefan Winter

			--
			Stefan WINTER

			RESTENA Foundation - Réseau Téléinformatique de l'Education 
			Nationale et de la Recherche R&D Engineer

			6, rue Richard Coudenhove-Kalergi
			L-1359 Luxembourg
			email: [email-masked]     Tel.:     +352 424409-1 
			http://www.restena.lu               Fax:      +352 422473

			<signature.asc>

		_______________________________________________
		DiME mailing list
		[email-masked]
		https://www1.ietf.org/mailman/listinfo/dime

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Bernard Aboba" <[email-masked]>
Date: Wed, 01 Aug 2007 12:00:10 -0700

Please note that the publication date of RFC 3588 (which included a Nokia 
author) was September 2003, and that this Nokia IPR claim was submitted to 
the IETF on January 6, 2004, several months after the Diameter RFC was 
published.  As co-chair of the AAA WG, I would not have allowed RFC 3588 to 
be submitted to the IESG for publication without WG discussion of the IPR 
claim, had the IPR claim been submitted prior to publication of the Diameter 
RFC.

>From: <[email-masked]>
>To: <[email-masked]>, <[email-masked]>, <[email-masked]>
>Subject: FW: Nokia Patent discussion FW: [Dime] First results on Diameter 
>vs. RadSec patent research:EP1147635
>Date: Wed, 1 Aug 2007 12:15:02 -0500
>
>Hi all,
>
>	I asked John to forward this message as I'm not a regular on the DIME 
>list.  I'm responsible for handling IETF related IPR cases in Nokia.
>
>	As you suggested, Nokia believes EP1147635, and other members of the same 
>patent family, are essential to practice RFC3588.
>
>	However, I do suggest that you, and other folks interested, contact your 
>respective legal folks regarding the implication of the existence of the 
>patent, in conjunction with our patent declaration.  I do not believe that 
>Stefan's claim is correct:
>
>	In order to help the group to understand our declaration, please allow me 
>to provide a simplistic explanation.  As for the binding legal language, 
>please see the declaration itself (cited correctly by Stefan in his 
>original email):
>
>
>	Our licensing declaration is what is commonly known as a "non-assert" 
>statement.  What it says is that if you don't come after Nokia with your 
>patents, Nokia will not use its patents against your RFC 3588 
>implementation.
>
>	Non-assert statements like this are widely used in the IETF, as they are 
>believed to provide sufficient defensive protection for the owner, while 
>still allowing implementers and users to exercise the protected technology 
>without a license and for free, as long as they behave similarly nice (i.e. 
>not going after Nokia with their patents).  In that, non-asserts are 
>believed to be compatible with most open source licenses.
>
>

---

From: <[email-masked]>
Date: Wed, 1 Aug 2007 23:40:10 -0500

David,

I copied Stephan on the mail, as he asked to be contacted for any
follow-up questions. 
With respect to being compatible to Open Source, what is meant is that
Nokia will not
assert its patents against open source implementations (as far as I
know), though
Stephan can correct me.

John

>From: ext David B. Nelson [mailto:[email-masked]] 
>Sent: 01 August, 2007 20:40
>To: Loughney John (Nokia-NRC/PaloAlto); [email-masked]; 
>[email-masked]
>Subject: RE: Nokia Patent discussion FW: [Dime] First results 
>on Diameter vs. RadSec patent research:EP1147635
>
>> Non-assert statements like this are widely used in the IETF, as they 
>> are believed to provide sufficient defensive protection for 
>the owner, 
>> while still allowing implementers and users to exercise the 
>protected 
>> technology without a license and for free, as long as they behave 
>> similarly nice...
>
>It is true that "non-assert" IPR statements are frequently 
>issued these days.
>
>> In that, non-asserts are believed to be compatible with most open 
>> source licenses.
>
>Compatible?  What does that mean?
>
>A reciprocal non-assert is not quite the same thing as open 
>source.  Open source has to do with copyright IPR, not patent 
>IPR.  Additionally, reciprocal non-asserts would appear to 
>apply to all patents that an organization may hold, not only 
>those that are related to standards.  In that regard, it is 
>tantamount to an implicit (and broad) cross-licensing 
>agreement, which would include patents covering proprietary 
>technology as well as open standards based technology.
>
>Still, it is better than nothing, and very useful to companies 
>that don't intend to enforce _any_ of their patent portfolio 
>against infringement by the non-assert grantors.  Of course, 
>it also works out fine for companies that don't have patents 
>to enforce.  :-)
>
>Standard disclaimer: I am not a lawyer.
>
>
>